## Makefile.am for avi file meta info plugin

# set the include path for X, qt and KDE
INCLUDES         = $(all_includes)

# these are the headers for your project
noinst_HEADERS   = tdefile_avi.h

kde_module_LTLIBRARIES = tdefile_avi.la

tdefile_avi_la_SOURCES = tdefile_avi.cpp 
tdefile_avi_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor -module $(KDE_PLUGIN)
tdefile_avi_la_LIBADD = $(LIB_TDEIO)

# let automoc handle all of the meta source files (moc)
METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) tdefile_avi.cpp -o $(podir)/tdefile_avi.pot

services_DATA = tdefile_avi.desktop
servicesdir = $(kde_servicesdir)
